Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasDirectionalSafeHtml

All Superinterfaces:
  HasDirectionalText, HasSafeHtml, HasText

All Known Implementing Classes:
  Anchor, CheckBox, DialogBox.CaptionImpl, HTML, Hyperlink, InlineHTML, InlineHyperlink, RadioButton

    public interface HasDirectionalSafeHtml

extends HasDirectionalText, HasSafeHtml

An object that implements this interface contains html that has a direction.

Method Summary
`void` | `setHTML(SafeHtml html, HasDirection.Direction dir)` Sets this object's html, also declaring its direction.

Methods inherited from interface com.google.gwt.user.client.ui.HasDirectionalText
`getTextDirection, setText`

Methods inherited from interface com.google.gwt.user.client.ui.HasText
`getText, setText`

Methods inherited from interface com.google.gwt.safehtml.client.HasSafeHtml
`setHTML`

Method Detail

### setHTML

    void setHTML(SafeHtml html,
                 HasDirection.Direction dir)

  Sets this object's html, also declaring its direction.

  Parameters:
    `html` - the object's new html
    `dir` - the html's direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD